header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.shop-text {
    text-decoration: none;
    color: black;
    font-size: 18px;
}

.menu-top-img {
    width: 20px;
    height: 20px;
    margin-top: 21px;
}

.cart-top-img {
    width: 20px;
    height: 20px;
    margin-top: 21px;
}

.choice-list-dec {
    text-decoration: none;
    font-size: 14px;
    color: black;
}

.shop-now-button {
    display: flex;
    justify-content: center;
    margin-bottom: 35px;
    margin-top: 20px;
}

.button {
    background-color: white;
    text-align: center;
    height: 40px;
    width: 170px;
    float: left;
    border: 2px black solid;
    cursor: pointer;
    outline: none;
}

.button-shop-now {
    background-color: white;
    text-align: center;
    height: 40px;
    width: 170px;
    float: left;
    border: 2px black solid;
    cursor: pointer;
    outline: none;
}

.choice-list-type {
    display: inline-block;
    text-align: center;
    margin: 12px;
    font-size: 12px;
}

.big-img {
    max-height: 100%;
}

.big-img-div {
    width: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
}

.both-img-div {
    display: flex;
    height: auto;
}

.half-img-div {
    width: 50%;
    overflow: hidden;
    display: flex;
    justify-content: center;
}

.half-img {
    max-height: 100%;
}

.choice-list {
    width: 100%;
    display: flex;
    justify-content: center;
}

.both-text {
    display: flex;
    justify-content: space-around;
}

.button-demo {
    color: white;
    background-color: black;
    outline: none;
    border: solid;
    width: 100px;
    height: 30px;
}

.both-button {
    display: flex;
    justify-content: space-around;
}

.descrption-grey-text {
    color: gray;
}

.cloth-descripton {
    text-align: center;
    font-weight: 100;
    font-size: 17px;
}

.cloth-item-no {
    text-align: center;
    color: grey;
    font-size: 12px;
}

.clothes-rate {
    color: grey;
}

.clothes-container {
    text-align: center;
    padding-top: 25px;
    padding-bottom: 25px;
}

.clothes-rate {
    padding-top: 10px;
    padding-bottom: 4px;
}

.description-data-text {
    font-size: 20px;
}

.description-list {
    margin-bottom: 40px;
}

.description-text {
    margin-top: 20px;
}

.size-option-div {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 35px;
}

.size-option-div>select:focus {
    border: none;
}

.size-option-div:focus-within .underline-input-div {
    width: 100%;
    height: 3px;
    background-color: black;
}

.size-option-div>select {
    width: 100%;
    padding-left: 60px;
    padding-top: 5px;
    padding-bottom: 5px;
    border: none;
    background: none;
    outline: none;
    font-size: 18px;
    font-weight: 400px;
    border-bottom: 1px grey solid;
}

.size-option-div>label {
    position: absolute;
    color: grey;
    top: 6px;
}

.quantity-option-div>select {
    width: 100%;
    padding-left: 60px;
    padding-top: 5px;
    padding-bottom: 5px;
    border: none;
    background: none;
    outline: none;
    font-size: 18px;
    font-weight: 400px;
    border-bottom: 1px grey solid;
}

.quantity-option-div {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 35px;
}

.quantity-option-div>select:focus {
    border: none;
}

.quantity-option-div:focus-within .underline-input-div {
    width: 100%;
    height: 3px;
    background-color: black;
}

.quantity-option-div>label {
    position: absolute;
    color: grey;
    top: 5px;
}

.polymer-text {
    text-align: center;
    font-weight: 100
}

.polymer-text {
    text-align: center;
    font-weight: 100
}

.your-cart-text {
    text-align: center;
    font-size: 20px;
    margin-top: 60px;
}

.items-no {
    text-align: center;
    font-size: 10px;
}

.cart-cross-img {
    max-height: 12px;
    max-width: 12px;
}

.cart-clothes-img {
    height: 70px;
    width: 70px;
}

.cart-left-div {
    width: 50%;
    display: flex;
    align-items: center;
}

.cart-select-size-div>select {
    width: 90px;
    border: none;
    outline: none;
    height: 20px;
    font-size: 18px;
    padding-left: 40px;
    background: none;
}

.cart-select-size-div {
    position: relative;
}

.cart-select-size-div>label {
    position: absolute;
    color: grey;
    top: 3px;
    font-weight: 300;
    font-size: 14px;
}

.cart-footer-item {
    position: absolute;
    bottom: 0px;
    width: 100%;
    float: center;
}

.cart-cloth-text-div {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.email-div {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 50px;
}

.underline-input-div {
    align-self: center;
    transition: 1s;
    height: 0px;
    width: 0px;
}

.email-div>input {
    width: 100%;
    height: 25px;
    border: 0;
    outline: none;
    padding: 0.3rem 0;
    border-bottom: 2px solid gray;
}

.email-div>input:focus {
    border: none;
}

.email-div:focus-within .underline-input-div {
    width: 100%;
    height: 3px;
    background-color: black;
}

.email-div>label {
    position: absolute;
    top: 11px;
    left: 9px;
    width: 100%;
    color: grey;
}

.email-div>input:focus~label {
    font-size: 14px;
    top: -5px;
    left: 0px;
    color: black;
    transition: 0.3s;
}

.checkout-pin-info-div {
    display: flex;
    justify-content: space-between;
}

.state-div {
    width: 48%;
}

.zip-code-div {
    width: 50%;
}

.email-div {
    margin-top: 30px;
    margin-bottom: 30px;
}

.country {
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 50px
}

.country:focus-within .underline-input-div {
    width: 100%;
    height: 3px;
    background-color: black;
}

.country>select {
    width: 100%;
    height: 30px;
    border: none;
    background: none;
    border-bottom: 2px grey solid;
    outline: none;
    font-size: 15px;
}

.country>select:focus {
    border: none;
}

.expiry-div {
    display: flex;
    justify-content: space-between;
}

.cvv-div {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 50px;
}

.cvv-div>input {
    width: 100%;
    height: 25px;
    border: 0;
    outline: none;
    padding: 0.3rem 0;
    border-bottom: 2px solid gray;
}

.cvv-div>input:focus {
    border: none;
}

.cvv-div:focus-within .underline-input-div {
    width: 100%;
    height: 3px;
    background-color: black;
}

.cvv-div>label {
    position: absolute;
    top: 11px;
    left: 9px;
    width: 100%;
    color: grey;
}

.cvv-div>input:focus~label {
    font-size: 14px;
    top: -5px;
    left: 0px;
    color: black;
    transition: 0.2s;
}

.expiry-month {
    width: 31%;
    padding-top: 7px;
    display: flex;
    flex-direction: column;
}

.expiry-month:focus-within .underline-input-div {
    width: 100%;
    height: 3px;
    background-color: black;
}

.expiry-year {
    width: 31%;
    padding-top: 7px;
    display: flex;
    flex-direction: column;
}

.expiry-year:focus-within .underline-input-div {
    width: 100%;
    height: 3px;
    background-color: black;
}

.cvv-div {
    width: 33%;
}

.expiry-month>select {
    width: 100%;
    height: 30px;
    border: none;
    background: none;
    border-bottom: 2px grey solid;
    outline: none;
    font-size: 15px;
}

.expiry-month>select:focus {
    border: none;
}

.expiry-year>select {
    width: 100%;
    height: 30px;
    border: none;
    background: none;
    border-bottom: 2px grey solid;
    outline: none;
    font-size: 15px;
}

.expiry-year>select:focus {
    border: none;
}

.order-div {
    margin-top: 30px;
}

.checkout-order-details {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}

.checkout-order-details>p {
    font-size: 14px;
}

.checkout-total-details {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}

.checkout-total-details>p {
    font-size: 14px;
}

.checkout-head-desc>p {
    font-size: 14px;
    color: grey;
}

.checkout-common-div {
    font-weight: bold;
    font-size: 15px;
}

@media (max-width:750px) {
    .choice-list {
        display: none;
    }
    .clothes-img {
        width: 70%;
        height: 100%;
    }
    .container {
        display: grid;
        grid-template-columns: auto auto;
        justify-content: space-around;
    }
    .big-img-clothes {
        display: none;
    }
    .description-img {
        display: flex;
        justify-content: center;
    }
    .descripton-data {
        padding-top: 40px;
        padding-left: 10%;
        padding-right: 10%;
    }
    .description-bottom {
        display: none;
    }
    .button {
        display: none;
    }
    .button-small-display {
        width: 100%;
        background-color: blue;
        height: 50px;
        color: white;
        position: absolute;
    }
    .button-small-display-cart {
        width: 100%;
        background-color: blue;
        height: 50px;
        color: white;
    }
    .checkout-container {
        margin-right: 15px;
        margin-left: 15px;
        margin-bottom: 20px;
    }
    .checkout-right-half-container {
        margin-top: 30px;
    }
    .checkout-head-desc {
        text-align: center;
        margin-top: 20px;
    }
    .cart-right-div {
        display: flex;
        flex-wrap: wrap;
        margin-top: 22px;
        width: 50%;
    }
    .cart-right-half-div {
        display: flex;
        justify-content: space-between;
        width: 100%;
        order: 1;
    }
    .cart-cross-img-div {
        order: 0;
        width: 100%;
        text-align: end;
    }
    .cart-container {
        display: flex;
        margin-top: 40px;
        width: 100%;
        position: relative;
    }
    .add-to-cart {
        position: absolute;
        bottom: 0px;
    }
    .cart-total-details {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        margin-top: 35px;
    }
}

@media(min-width:751px) {
    .head-menu-img {
        visibility: hidden;
    }
    .clothes-img {
        width: 70%;
        height: auto;
    }
    .container {
        display: grid;
        grid-template-columns: auto auto auto;
        justify-content: space-around;
    }
    .description-container {
        width: 95%;
        display: flex;
        margin-top: 60px;
        margin-bottom: 70px;
    }
    .descripton-data {
        width: 37%;
        height: auto;
        padding-top: 20px;
    }
    .description-img {
        width: 62%;
        text-align: center;
    }
    .button-small-display {
        display: none;
    }
    .checkout-container {
        display: flex;
        margin-top: 50px;
        margin-left: 14vw;
        margin-right: 3vw;
        margin-bottom: 50px;
    }
    .checkout-left-half-container {
        width: 50%;
        padding-right: 10vw;
    }
    .checkout-right-half-container {
        width: 50%;
        padding-right: 10vw;
    }
    .checkout-head-desc {
        text-align: center;
        margin-top: 30px;
    }
    .cart-right-div {
        width: 50%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .cart-right-half-div {
        display: flex;
        justify-content: space-between;
        width: 80%;
    }
    .cart-container {
        display: flex;
        margin-left: 11vw;
        margin-right: 11vw;
        margin-top: 40px;
    }
    .cart-total-details {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        margin-right: 11vw;
        margin-top: 35px;
    }
    .cart-total-div {
        margin-right: 70px;
        font-weight: 500;
        font-size: 14px;
    }
    .button-small-display-cart {
        display: none;
    }
}